All Data Structures Namespaces Files Functions Groups Pages
TestGribFile Class Reference

Test GribFile functionality. More...

Inherits TestCase.

## Public Member Functions

def | test_memory_management
| Messages in GribFile can be opened and closed properly. More...
def | test_message_counting_works
| The GribFile is aware of its messages. More...
def | test_iterator_protocol
| The GribFile allows pythonic iteration over all messages. More...
def | test_read_past_last_message
| Trying to open message on exhausted GRIB file raises IOError. More...
def | test_read_invalid_file
| Trying to open message on nonexistent GRIB file raises IOError. More...

## Detailed Description

Test GribFile functionality.

## Member Function Documentation

def test_iterator_protocol | ( |  | self | ) |

The GribFile allows pythonic iteration over all messages.

References TestGribFile.test_read_past_last_message().

Referenced by TestGribFile.test_message_counting_works().

def test_memory_management | ( |  | self | ) |

Messages in GribFile can be opened and closed properly.

References TestGribFile.test_message_counting_works().

def test_message_counting_works | ( |  | self | ) |

The GribFile is aware of its messages.

References TestGribFile.test_iterator_protocol().

Referenced by TestGribFile.test_memory_management().

def test_read_invalid_file | ( |  | self | ) |

Trying to open message on nonexistent GRIB file raises IOError.

Referenced by TestGribFile.test_read_past_last_message().

def test_read_past_last_message | ( |  | self | ) |

Trying to open message on exhausted GRIB file raises IOError.

References TestGribFile.test_read_invalid_file().

Referenced by TestGribFile.test_iterator_protocol().

The documentation for this class was generated from the following file:

- high_level_api.py